## wader-core 0.5.6-1~charlotte13

=== debian/changelog ===
wader-core (0.5.6-1~charlotte13) lucid; urgency=low

  [ Andrew Bird ]
  * Enhance get_registration for new bearer info
  * ZTE-Icera fixes: K3805-Z, K4510-Z
  * Add support for K3770-Z (LP: #837638)
  * Add support for K3772-Z (LP: #837638)
  * Add optional limit to check_if_ucs2
  * Small encoding fixes for K3750-Z, K3571-Z
  * Fix USSD/GSM charset for many Huawei devices

 -- Alex Chiang <achiang@canonical.com>  Fri, 23 Sep 2011 09:10:31 -0600

wader-core (0.5.6-1~charlotte12) lucid; urgency=low

  [ Andrew Bird ]
  * wader/test/test_dbus_ussd_de.py: Add USSD interactive state test
  * plugins/devices/: Force USSD charset for K3770, K3570-Z, K3571-Z, K3765-Z,
    K4505-Z, MF637U-Z (LP: #824561)

 -- Alex Chiang <achiang@canonical.com>  Tue, 20 Sep 2011 10:32:19 -0600

wader-core (0.5.6-1~charlotte11) lucid; urgency=low

  [ Andrew Bird ]
  * Add support for E1820 modem (LP: #805573)

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Jul 2011 09:30:25 -0600

wader-core (0.5.6-1~charlotte10) lucid; urgency=low

  [ Andrew Bird ]
  *  USSD encoding needs to be ascii even if charset is UCS2 (LP: #801653)

 -- Alex Chiang <achiang@canonical.com>  Fri, 01 Jul 2011 09:44:37 -0600

wader-core (0.5.6-1~charlotte9) lucid; urgency=low

  [ Andrew Bird ]
  * Honour the allowed_mode property in SimpleConnect; allows user to set
    preferred network type (2G, 3G, etc.) (LP: #767220)

 -- Alex Chiang <achiang@canonical.com>  Thu, 16 Jun 2011 10:12:16 -0600

wader-core (0.5.6-1~charlotte8) lucid; urgency=low

  [ Andrew Bird ]
  * Enable Huawei E160 support
  * Enable ZTE MF637U support
  * Enable Huawei E1750/E173 support
  * Network registration to poll variably

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 11:12:00 -0600

wader-core (0.5.6-1~charlotte7) lucid; urgency=low

  [ Andrew Bird ]
  * Ensure GsmAccessTech signals are typed as Uint32 (LP: #767220)
  * Add HSPA as GsmAccessTech conversion

 -- Alex Chiang <achiang@canonical.com>  Sat, 04 Jun 2011 11:55:56 -0600

wader-core (0.5.6-1~charlotte6) lucid; urgency=low

  [ Andrew Bird ]
  * Release the data port if the stick was pulled during PDP context
    (LP: #781021)
  * Simple Connect should wait for registration before connect attempt
    (LP: #717322)
  * Fix USSD for K4505-Z

 -- Alex Chiang <achiang@canonical.com>  Tue, 31 May 2011 10:54:43 -0600

wader-core (0.5.6-1~charlotte5) lucid; urgency=low

  [ Andrew Bird ]
  * Reorder property setting logic to aid the case where a modem is hotplugged
    and re-inserted during runtime (LP: #781021)
  * Fix USSD for K3770 (LP: #787666)
  * Implement +GMI for K3770

 -- Alex Chiang <achiang@canonical.com>  Thu, 26 May 2011 14:03:51 -0600

wader-core (0.5.6-1~charlotte4) lucid; urgency=low

  [ Andrew Bird ]
  * Allow opening serial port after reboot with device inserted (LP: #724450)
  * Fix support for K3770 (LP: #777695)
  * Add support for K4605 (LP: #719377)
  * Emit registration info even when polling (LP: #784003)
  * Many other miscellaneous fixes

 -- Alex Chiang <achiang@canonical.com>  Tue, 24 May 2011 12:26:41 -0600

wader-core (0.5.6-1~charlotte3) lucid; urgency=low

  * plugins/devices/huawei_k3770.py: hardcode dport and cport to enable
    modem (LP: #717315)

 -- Alex Chiang <achiang@canonical.com>  Sun, 10 Apr 2011 23:06:25 -0600

wader-core (0.5.6-1~charlotte2) lucid; urgency=low

  * plugins/devices/zte_k3806.py: add 0x1014 as an alternate PID for this
    modem (LP: #717326)
  * plugins/devices/huawei_k3770.py: add plugin for K3770 (LP: #717315)

 -- Alex Chiang <achiang@canonical.com>  Sun, 10 Apr 2011 12:57:52 -0600

wader-core (0.5.6-1~charlotte1) lucid; urgency=low

  * Backport from upstream, which contains USSD fixes
  * Merge charlotte changes:
    - debian/compat: Increase to dh7
    - debian/wader-core.*: fix maintainer scripts: do not attempt to kill
      modemmanager, do not show dialog box, look in /usr/lib, not /usr/local/lib

 -- Alex Chiang <achiang@canonical.com>  Thu, 03 Mar 2011 14:42:56 -0700

wader-core (0.5.6-1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Wed, 02 Mar 2011 14:28:56 +0000

wader-core (0.5.5-1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Mon, 06 Sep 2010 12:00:41 +0100

wader-core (0.5.4) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Fri, 16 Jul 2010 13:42:56 +0100

wader-core (0.5.3) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Fri, 18 Jun 2010 14:19:00 +0100

wader-core (0.5.2) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Tue, 08 Jun 2010 11:16:19 +0100

wader-core (0.5.1) lucid; urgency=low

  * New upstream version

 -- Andrew Bird <ajb@spheresystems.co.uk>  Fri, 21 May 2010 16:54:01 +0100

wader-core (0.5.0) karmic; urgency=low

  * New upstream version

 -- David Francos Cuartero <dfrancos@warp.es>  Thu, 10 Sep 2009 17:12:40 +0100

wader-core (0.3.6-1) jaunty; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Tue, 05 May 2009 15:50:31 +0200

wader (0.3.5) intrepid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Mon, 15 Apr 2009 16:09:11 +0100

wader (0.3.4) intrepid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Tue, 3 Mar 2009 16:52:21 +0100

wader (0.3.3) intrepid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Mon, 23 Feb 2009 12:11:29 +0100

wader (0.3.2) intrepid; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Thu, 13 Feb 2009 12:01:11 +0100

wader (0.3.1) hardy; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Mon, 02 Feb 2009 16:59:13 +0100

wader (0.3.0) hardy; urgency=low

  * New upstream version

 -- Pablo Martí Gamboa <pmarti@warp.es>  Mon, 1 Dec 2008 12:36:58 +0100

wader (0.2.2-1) hardy; urgency=low


